BubbleShop
  1. API References
  • Guides
    • Introduction
    • Key Features
    • Getting started
  • API References
    • Account
      GET
    • Product
      GET
    • Service
      GET
    • Order
      POST
    • Status
      GET
    • Nickname
      GET
  • Webhook
    • Notifications
  • Information
    • List Game
    • Status Code
    • How To Create Signature
  1. API References

Service

GET
/api/service
This endpoint returns a comprehensive list of game top-up services. It supports optional filtering via the product_code parameter; if no code is provided, the API will return all services. Check product code here.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://topup.haibubble.com/api/service?product_code=BSML301' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "status": 200,
    "success": true,
    "message": "Service retrieved successfully",
    "data": [
        {
            "service_name": "5 Diamonds",
            "service_code": "BSML301005",
            "price": {
                "currency": "IDR",
                "value": 1515
            },
            "status": "Available"
        },
        {
            "service_name": "12 Diamonds",
            "service_code": "BSML301012",
            "price": {
                "currency": "IDR",
                "value": 3524
            },
            "status": "Unavailable"
        }
    ]
}
Modified at 2026-02-28 23:57:43
Previous
Product
Next
Order
Built with